% Set property in the specified object.
%
%   Call as:
%      a = set(a), or
%      a = set(a,prop_name,val)
%   where
%      a         - object
%      prop_name - property name
%                  To obtain settable property names, use set(a).
%      val       - value to be assigned to the property.
%
%   The first form may be used to obtain a list of settable properties;
%   the second form may be used to set a particular property, and the
%   modified object is returned (*do not forget to assign it!*).
%
function retval = set(self,varargin)
    if (nargin == 1)
        retval={{{'label'}, {'user-interpreted label'}}};
        return;
    end
    prop_name=varargin{1};
    val=varargin{2};
    switch prop_name
        case 'label'
            self.label=val;
        otherwise
            error(['Unknown property ''' prop_name '''!']);
    end
    retval=self; % return self
end