% Constructor of triangular quadrature rule.
%   Call as:
%      ir = tri_rule(order);
%   where
%      npts=number of points
%            1=1 point rule, 2=two point rule, etc.
%
function retobj = tri_rule (varargin)
class_name='tri_rule';
parent=classbase;
if (nargin == 1)
    arg = varargin{1};
    if strcmp(class(arg),class_name) % copy constructor.
        retobj = arg;
        return;
    else
        self.npts = varargin{1};
        switch self.npts
            case 1
                self.param_coords(1,:) = [1/3 1/3];
                self.weights = [1]/2;
            case 3
                self.param_coords = [ 2/3 1/6; 1/6 2/3; 1/6 1/6 ];
                self.weights = [1/3 1/3 1/3]/2;
            otherwise
                error('Unsupported number of points');
        end
        retobj = class(self,class_name,parent);
    end
else
    error('Illegal arguments!');
end
return;

