function run_all_examples
% run_in_subdirs('data_structures')
% run_in_subdirs('deformation')
% run_in_subdirs('diffusion')
run_in_subdirs(pwd)
return;

function run_in_subdirs(d)
sep=filesep;
dl=dir(d);
for i=1:length(dl)
    if (dl(i).isdir)
        if      (~strcmp(dl(i).name,'.')) & ...
                (~strcmp(dl(i).name,'..')) & ...
                (~strcmp(dl(i).name,'CVS')) & ...
                (~strcmp(dl(i).name,'cvs')) & ...
                (~strcmp(dl(i).name(1),'@'))
            run_in_subdirs([d sep dl(i).name]);
        end
    else
        if ((~strcmp(dl(i).name,'Contents.m')) &...
                strcmp(dl(i).name,...
                [dl(i).name(1:length(dl(i).name)-2) '.m']))
            fn=dl(i).name(1:length(dl(i).name)-2);
            disp(['Running ' fn]);
            eval(fn);
            disp(['         Done: press any key']);
            pause(1)
            while ~isempty(get(0,'CurrentFigure'))
                try
                    delete(get(0,'CurrentFigure'));
                catch
                end
            end
        end
    end
end
return;
